Package org.apache.any23.extractor.html

## Class HListingExtractorTest

- java.lang.Object
- - org.apache.any23.AbstractAny23TestBase
  - - org.apache.any23.extractor.html.AbstractExtractorTestCase
    - - org.apache.any23.extractor.html.HListingExtractorTest

-     public class HListingExtractorTest
      extends AbstractExtractorTestCase

  Reference Test class for the `HListingExtractor` extractor.
  Author:
    Davide Palmisano (dpalmisano@gmail.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `baseIRI, conn`

    - ### Fields inherited from class org.apache.any23.AbstractAny23TestBase

      `tempDirectory, testFolder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HListingExtractorTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ExtractorFactory<?>` | `getExtractorFactory()` |
    `void` | `testActionsOutside()` |
    `void` | `testComplexDescription()` |
    `void` | `testDescription()` |
    `void` | `testDtExpired()` |
    `void` | `testDtListed()` |
    `void` | `testDtListedAndExpired()` |
    `void` | `testItemFn()` |
    `void` | `testItemFnUrl()` |
    `void` | `testItemPhotoHref()` |
    `void` | `testItemPhotoImg()` |
    `void` | `testKelkoo()` |
    `void` | `testKelkooFull()` |
    `void` | `testListerEmail()` |
    `void` | `testListerEmailHref()` |
    `void` | `testListerFn()` |
    `void` | `testListerFnTel()` |
    `void` | `testListerURL()` |
    `void` | `testListingWithouthContent()` |
    `void` | `testMultipleActions()` |
    `void` | `testMultipleActionsNested()` |
    `void` | `testNoMicroformats()` |
    `void` | `testPermalink()` |
    `void` | `testPrice()` |
    `void` | `testPriceAndDt()` |
    `void` | `testSingleAction()` |
    `void` | `testSummary()` |

    - ### Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertExtract, assertExtract, assertIssue, assertModelEmpty, assertModelNotEmpty, assertNoIssues, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, extract, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getIssues, getIssues, getReport, getStatements, getStatementsSize, setUp, tearDown`

    - ### Methods inherited from class org.apache.any23.AbstractAny23TestBase

      `copyResourceToTempFile, getDocumentSourceFromResource, getDocumentSourceFromResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HListingExtractorTest

          public HListingExtractorTest()

  - ### Method Detail

    - #### getExtractorFactory

          protected ExtractorFactory<?> getExtractorFactory()

      Specified by:
        `getExtractorFactory` in class `AbstractExtractorTestCase`
      Returns:
        the factory of the extractor to be tested.

    - #### testNoMicroformats

          public void testNoMicroformats()
                                  throws Exception

      Throws:
        `Exception`

    - #### testListingWithouthContent

          public void testListingWithouthContent()
                                          throws Exception

      Throws:
        `Exception`

    - #### testSingleAction

          public void testSingleAction()
                                throws Exception

      Throws:
        `Exception`

    - #### testMultipleActions

          public void testMultipleActions()
                                   throws Exception

      Throws:
        `Exception`

    - #### testMultipleActionsNested

          public void testMultipleActionsNested()
                                         throws Exception

      Throws:
        `Exception`

    - #### testActionsOutside

          public void testActionsOutside()
                                  throws Exception

      Throws:
        `Exception`

    - #### testListerFn

          public void testListerFn()
                            throws Exception

      Throws:
        `Exception`

    - #### testListerFnTel

          public void testListerFnTel()
                               throws Exception

      Throws:
        `Exception`

    - #### testItemFn

          public void testItemFn()
                          throws Exception

      Throws:
        `Exception`

    - #### testItemFnUrl

          public void testItemFnUrl()
                             throws Exception

      Throws:
        `Exception`

    - #### testItemPhotoImg

          public void testItemPhotoImg()
                                throws Exception

      Throws:
        `Exception`

    - #### testItemPhotoHref

          public void testItemPhotoHref()
                                 throws Exception

      Throws:
        `Exception`

    - #### testKelkoo

          public void testKelkoo()
                          throws Exception

      Throws:
        `Exception`

    - #### testKelkooFull

          public void testKelkooFull()
                              throws Exception

      Throws:
        `Exception`

    - #### testListerURL

          public void testListerURL()
                             throws Exception

      Throws:
        `Exception`

    - #### testListerEmail

          public void testListerEmail()
                               throws Exception

      Throws:
        `Exception`

    - #### testListerEmailHref

          public void testListerEmailHref()
                                   throws Exception

      Throws:
        `Exception`

    - #### testDtListed

          public void testDtListed()
                            throws Exception

      Throws:
        `Exception`

    - #### testDtExpired

          public void testDtExpired()
                             throws Exception

      Throws:
        `Exception`

    - #### testSummary

          public void testSummary()
                           throws Exception

      Throws:
        `Exception`

    - #### testDtListedAndExpired

          public void testDtListedAndExpired()
                                      throws Exception

      Throws:
        `Exception`

    - #### testPrice

          public void testPrice()
                         throws Exception

      Throws:
        `Exception`

    - #### testPriceAndDt

          public void testPriceAndDt()
                              throws Exception

      Throws:
        `Exception`

    - #### testPermalink

          public void testPermalink()
                             throws Exception

      Throws:
        `Exception`

    - #### testComplexDescription

          public void testComplexDescription()
                                      throws Exception

      Throws:
        `Exception`

    - #### testDescription

          public void testDescription()
                               throws Exception

      Throws:
        `Exception`